AFFINGER6がアップロード出来ない時の対処法【PHP編】

AFFINGER5(WING)から進化した「AFFINGER6(ACTION)」。

当サイトでも使ってますが、アップロードには注意が必要です。サーバーのPHPバージョンが7.3以上でないとエラーになります。

 

この記事では、レンタルサーバーのPHPバージョン変更方法を書きました。

ぼくがお世話になってる「mixhost」「ConoHa WING」のPHP変更方法です。エックスサーバーを使っている方は、下記ページでご確認ください。

【エックスサーバー】PHPのバージョンについて

PHPとは?

PHP : Hypertext Preprocessor(ピー・エイチ・ピー ハイパーテキスト プリプロセッサー)の略。

WEBページを、動的に生成させるページに作成するのに向いているプログラミング言語です。

転用:PHPとは?PHPバージョンについて

mixhost|PHP変更方法

mixhostのサービス詳細画面から「cPanel」へログイン。

ソフトウェア「MultiPHPマネージャー」を選択。

PHPバージョンを変更したいドメインにチェック

画面右上にある「PHPバージョン」から、PHPバージョンが変更できます。バージョンを変更したら「適用する」をクリックして下さい。

ドメインのPHPバージョンが変更されていればOKです。

ぼくはPHPバージョン7.4を使用してますが、今のところ不具合はありません。

ヒロ
AFFINGER6(ACTION)を使いたい方は、PHPバージョン7.3以上を選択してください。

 

ConoHa WING|PHP変更方法

ConoHa WINGの管理画面で「サイト管理」をクリック。

ヒロ
PHPのバージョンを変更したいサイトを選択します。

画面が切り替わったら、「サイト設定>応用設定」をクリック。

続いて応用設定の「PHP設定」を選びます。

PHP設定を選んだら、右側に表示されている「鉛筆ボタン」をクリック。

PHPバージョンが変更できるようになるので「7.3以上」を選んでください。変更したら「保存」するのもお忘れなく。

ヒロ
以上で「ConoHa WING」PHPバージョンの設定完了です。

 

WINGからの移行注意点

WINGからの移行注意点

  • PHP7.3以上必須(7.4迄確認済み)
  • テーマ管理の設定は引き継がれます。
  • カスタマイザーの設定が初期化されます
  • ウィジェットの配置が換わる場合があります(要確認・再設定)

転用:ACTIONマニュアル(ユーザー限定)

ヒロ
他、ACTION版ではデザイン済みデータが使えなくなるのでご注意ください。